package com.fs.company.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 扣款对象 company_deduct
 *
 * @author fs
 * @date 2023-02-27
 */
public class CompanyDeduct extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long deductId;

    /** 扣款单号 */
    @Excel(name = "扣款单号")
    private String deductNo;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 金额 */
    @Excel(name = "金额")
    private BigDecimal money;

    /** 余额 */
    @Excel(name = "余额")
    private BigDecimal balance;

    /** 提交人 */
    @Excel(name = "提交人")
    private Long createUserId;

    /** 审核状态 */
    @Excel(name = "审核状态")
    private Integer isAudit;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long auditUserId;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    @Excel(name = "备注")
    private String remark;

    @Excel(name = "业务类型")
    private Integer businessType;

    public Integer getBusinessType() {
        return businessType;
    }

    public void setBusinessType(Integer businessType) {
        this.businessType = businessType;
    }

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public void setDeductId(Long deductId)
    {
        this.deductId = deductId;
    }

    public Long getDeductId()
    {
        return deductId;
    }
    public void setDeductNo(String deductNo)
    {
        this.deductNo = deductNo;
    }

    public String getDeductNo()
    {
        return deductNo;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setMoney(BigDecimal money)
    {
        this.money = money;
    }

    public BigDecimal getMoney()
    {
        return money;
    }
    public void setBalance(BigDecimal balance)
    {
        this.balance = balance;
    }

    public BigDecimal getBalance()
    {
        return balance;
    }
    public void setCreateUserId(Long createUserId)
    {
        this.createUserId = createUserId;
    }

    public Long getCreateUserId()
    {
        return createUserId;
    }
    public void setIsAudit(Integer isAudit)
    {
        this.isAudit = isAudit;
    }

    public Integer getIsAudit()
    {
        return isAudit;
    }
    public void setAuditUserId(Long auditUserId)
    {
        this.auditUserId = auditUserId;
    }

    public Long getAuditUserId()
    {
        return auditUserId;
    }
    public void setAuditTime(Date auditTime)
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime()
    {
        return auditTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("deductId", getDeductId())
            .append("deductNo", getDeductNo())
            .append("companyId", getCompanyId())
            .append("money", getMoney())
            .append("balance", getBalance())
            .append("createTime", getCreateTime())
            .append("createUserId", getCreateUserId())
            .append("isAudit", getIsAudit())
            .append("auditUserId", getAuditUserId())
            .append("auditTime", getAuditTime())
                .append("remark", getRemark())
                .append("businessType", getBusinessType())
            .toString();
    }
}
